<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerMaxRam](./bitburner.ns.getservermaxram.md)

## NS.getServerMaxRam() method

Get the maximum amount of RAM on a server.

**Signature:**

```typescript
getServerMaxRam(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

**Returns:**

number

The maximum amount of RAM (GB) a server can have.

## Remarks

RAM cost: 0.05 GB

